X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I couldn't download any of add-on. Got error message "The add-on could not be downloaded because of a connection failure on services.addons.mozilla.org."

Posted

I couldn't download any of add-on. Got error message "The add-on could not be downloaded because of a connection failure on services.addons.mozilla.org."

Please help in ASAP. :(

Additional System Details

Installed Plug-ins

  • ActiveTouch General Plugin Container Version 105
  • Office Plugin for Netscape Navigator
  • 04.0000.0002
  • getplusplusadobe16248
  • Adobe PDF Plug-In For Firefox and Netscape 8.3.0
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 10.3 r181
  • Google Update
  • Next Generation Java Plug-in 1.6.0_26 for Mozilla browsers
  • 4.0.60310.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.2; rv:5.0) Gecko/20100101 Firefox/5.0

More Information

PartyPengy 1 solutions 6 answers

Guys i think i solved this issue :D All what you have to do is go to about:config then click "I'll be careful i promise" now right click somewhere then click New>String and name it: xpinstall.enabled and set the value to true

All the downloads should work now

Question owner

Where is about:config? Didn't find it. Please help. Thanks!

PartyPengy 1 solutions 6 answers

Type it in adress o-o

Discloop 0 solutions 7 answers

Helpful Reply

Tried that, but no luck :( Started happening on Firefox 7.0, on both WinVista and Win7.

Mike Julian 0 solutions 2 answers

Helpful Reply

I replied to an older post, but since this is new and fresh i'll reply here too:

I am using Windows XP and Firefox 7 and I am getting this. I added the xpinstall:enabled line into the about:config but that's not helping. I still get the same error. Would really like to fix this soon.

It should also be noted that I was able to successfully install adblock and Lastpass. Since then I have not been able to install anything else.

Modified by Mike Julian

jemrkr 0 solutions 3 answers

Like mjulian211, I am also replying to a duplicate post.

Also getting this error. Running Ff 7.0 in Windows XP Home SP3. PartyPengy's solution did not work for me. I even tried restarting Ff after the about:config edit, even though it didn't say you had to. No joy.

Edit: Okay, mha007's workaround from this thread:

https://support.mozilla.com/en-US/questions/855759#answer-253445

worked for me, except in Ff7 the link says, "+ Add to Firefox." Also, to open it, you have to click on the Ff menu button, hover over "New Tab," and then click "Open File...."

Modified by jemrkr